﻿@model EPPW.Membership.Dto.ProgramDto
@{
    ViewBag.Title = "Create";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section SideContent
{
    <div class="row-fluid">
        <div class="span12">
            <blockquote>
                <p>
                    Program</p>
            </blockquote>
        </div>
    </div>
}
<div class="row-fluid">
    <div class="span2">
    </div>
    <div class="span10">
        @using (Html.BeginForm(ViewContext.RouteData.GetRequiredString("action"), ViewContext.RouteData.GetRequiredString("controller"), FormMethod.Post, new { @class = "form-horizontal" }))
        {
            <fieldset>
                <legend>Program Create</legend>
                <div class="control-group">
                    @Html.LabelFor(model => model.Code, new { @class = "control-label" })
                    <div class="controls">
                        @Html.EditorFor(model => model.Code, "", new { placeholder = "Code" })
                        @Html.ValidationMessageFor(model => model.Code)
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Name, new { @class = "control-label" })
                    <div class="controls">
                        @Html.EditorFor(model => model.Name, "", new { placeholder = "Name" })
                        @Html.ValidationMessageFor(model => model.Name)
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Description, new { @class = "control-label" })
                    <div class="controls">
                        @Html.EditorFor(model => model.Description, "", new { placeholder = "Desc" })
                        @Html.ValidationMessageFor(model => model.Description)
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Action, new { @class = "control-label" })
                    <div class="controls">
                        @Html.EditorFor(model => model.Action)
                        @Html.ValidationMessageFor(model => model.Action)
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Controller, new { @class = "control-label" })
                    <div class="controls">
                        @Html.EditorFor(model => model.Controller)
                        @Html.ValidationMessageFor(model => model.Controller)
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.IconName, new { @class = "control-label" })
                    <div class="controls">
                        @Html.EditorFor(model => model.IconName)
                        @Html.ValidationMessageFor(model => model.IconName)
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Area, new { @class = "control-label" })
                    <div class="controls">
                        @Html.EditorFor(model => model.Area)
                        @Html.ValidationMessageFor(model => model.Area)
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Parameter, new { @class = "control-label" })
                    <div class="controls">
                        @Html.EditorFor(model => model.Parameter)
                        @Html.ValidationMessageFor(model => model.Parameter)
                    </div>
                </div>
                <p>
                    <input type="submit" value="Create" />
                </p>
            </fieldset>
        }
        <div>
            @Html.ActionLink("Back to List", "Index")
        </div>
    </div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script type="text/javascript">
    $(function(){
        @if (ViewBag.AppDivision != null)
        {
                <text>
        $("#AppDivision_Id").val("@ViewBag.AppDivision.Id");
                </text>
        }
    });
    </script>
}
